Certificado Digital Valid no Linux Mint 20

1. Certificado Digital Valid no Linux Mint 20

MAURICIO AUGUSTO DOS SANTOS
mauricioaugusto

(usa Linux Mint)

Enviado em 19/09/2020 - 21:52h

Olá a todos. Sou novo no Linux (2 semanas). Estou tentando acessar o PJE pelo Linux Mint 20. Já usei todos os tutoriais que encontrei por aqui e em outros sites. O PJE funciona mas não lê meu certificado. Não consigo instalar o pacote Safesign e não acho a biblioteca libaePKCSS11 em lugar nenhum. Alguém conseguiu instalar no Mint 20? Grato


  


2. Re: Certificado Digital Valid no Linux Mint 20

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 19/09/2020 - 22:56h

Existe uma thread antiga de um usuario que parece ter um problema semelhante ao seu, veja se ajuda

https://www.vivaolinux.com.br/topico/Duvidas-em-Geral/Acesso-ao-PJE-com-Token-GD-SAFESIGN-no-linux-m...


3. Re: Certificado Digital Valid no Linux Mint 20

MAURICIO AUGUSTO DOS SANTOS
mauricioaugusto

(usa Linux Mint)

Enviado em 20/09/2020 - 00:00h

Obrigado pela dica, tentei fazer a instalação descrita lá e outro erro que tenho é que pacote não tem candidato para instalação. Já fiz todos os procedimentos para corrigir também esse erro e continua...


4. Re: Certificado Digital Valid no Linux Mint 20

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 20/09/2020 - 01:04h

Um pacote não tem candidato p instalaçao normalmente qdo nao faz parte do repositorio da distribuicao ou tem outro nome.
Arquivos de biblioteca normalmente estão disponíveis em /usr/bin.
Como vc quer instalar o pje segue abaixo um artigo explicando como instalar.

https://www.tiforense.com.br/instalando-o-token-e-o-pje-office-no-ubuntu/




5. Re: Certificado Digital Valid no Linux Mint 20

MAURICIO AUGUSTO DOS SANTOS
mauricioaugusto

(usa Linux Mint)

Enviado em 20/09/2020 - 13:39h

Obrigado pela ajuda. Já consegui instalar o Safenet. O Token agora fica aceso.
Mas continuo com os seguintes problemas:
- não consigo encontrar no sistema o arquivo para vincular o navegador ao token /usr/lib/libaetpkss.so.3.0.2635 e nem consegui achar para download na internet
- o pje não lista meu certificado
- o Safenet authentication client reconhece meu token mas não abre as demais opções do gerenciador
- tentei instalar o apt-get install opensc openssl libopensc-openssl pcscd pcsc-tools -y mas dá erro de pacote quebrado. Tentei corrigir por tutoriais mas não funciona. O erro continua.


Já estou há dias executando todos os tutoriais que achei mas nào consigo fazer o token ler meu certificado





6. Re: Certificado Digital Valid no Linux Mint 20

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 20/09/2020 - 13:49h

Um tempo encontrei um problema c o pje na empresa em q trabalhava em q era necessario a versao 7 do java. Na maquina havia instalado a versao 8, entao foi necessario fazer downgrade.


7. Re: Certificado Digital Valid no Linux Mint 20

MAURICIO AUGUSTO DOS SANTOS
mauricioaugusto

(usa Linux Mint)

Enviado em 20/09/2020 - 21:03h

Fiz o downgrade mas o problema permanece. Obrigado mesmo assim.


8. Re: Certificado Digital Valid no Linux Mint 20

Ricardo Groetaers
ricardogroetaers

(usa Linux Mint)

Enviado em 21/09/2020 - 01:58h

mauricioaugusto escreveu:. Já consegui instalar o Safenet. O Token agora fica aceso.
- não consigo encontrar no sistema o arquivo para vincular o navegador ao token /usr/lib/libaetpkss.so.3.0.2635 e nem consegui achar para download na internet
- o pje não lista meu certificado
- o Safenet authentication client reconhece meu token mas não abre as demais opções do gerenciador.....

-Verifique no site da sua certificadora se o "safenet" é o software correto para o seu token e verifique também o modelo correto do seu token.
-Caso afirmativo, considere que o safenet (até onde estou atualizado) para Linux só funciona no Firefox, não funciona em Chome e derivados.
-Opte pela versão 10 do safenet (ou superior se existir em algum lugar). Não esqueça de desinstalar previamente e completamente a versão anterior.

O download (da versão 10) pode ser feito da "Loca Suporte" ou do SERPRO.

O zip da "Loca suporte" vem com um "iso" dentro que voce pode "chapar" numa mídia ótica ou simplesmente extrair os "deb" correspondentes de dentro da "iso".
O "iso" vem com 2 versões do Safenet, uma standard (completa e grande) e uma core (pequena, apenas com os drivers para o token funcionar, não permite manipular o conteúdo do token).
Embora o safenet da "Loca Suporte", teoricamente, contemple o idioma Português-BR, ele não funciona, fica tudo em inglês.

O Safenet do SERPRO é somente a versão completa e somente em Português-BR.

Acho desnecessário explicar como visualizar o conteúdo de arquivos "zip" e "iso" bem como extrair de dentro deles os "deb" correspondentes ao seu sistema.
O Gerenciador de Arquivos Compactados do Mint faz isso com simples click do mouse.

Links para download do Safenet 10 (e outros softwares se for o seu caso).

Loca Suporte:
http://www.locasuporte.com.br/download-de-driver-software-e-manuais-token-usb.aspx

SERPRO:
https://certificados.serpro.gov.br/arserpro/pages/information/drivers_token_download.jsf?

Para configurar o uso do token (somente se ele usar o safenet) no Firefox:
Configurar a biblioteca no navegador Firefox acessando o menu:

Preferências > Avançado > Dispositivos Seguros

Em seguida clique em Carregar ao lado direito da tela que se abre.

No campo Nome do Módulo escreva o nome que desejar (ex: eToken Safesign), abaixo carregue a biblioteca que esta em:

/usr/lib/libeTPkcs11.so

obs: esta biblioteca é apenas um atalho padrão em qualquer versão do safenet que aponta para a biblioteca verdadeira.
A biblioteca verdadeira varia conforme a sua versão do safenet.

Não esqueça de atualizar a cadeia de certificados raiz brasileira no site do ITI (Instituto Nacional de Tecnologia da Informação), de preferência no site antigo que é mais explicativo que o novo.
https://antigo.iti.gov.br/navegadores

Quanto ao funcionamento do PJE, sugiro consultar o Tribunal correspondente para maiores informações.
Não entendo nada disso.



9. Re: Certificado Digital Valid no Linux Mint 20

MAURICIO AUGUSTO DOS SANTOS
mauricioaugusto

(usa Linux Mint)

Enviado em 21/09/2020 - 12:34h

Obrigado. Fiz todos os precedimentos que indicou. Fiz também os precedimentos sugeridos aqui no tópico. Agradeço a todos.
Já consigo ver meu certificado, PJE abre normalmente, token reconhecido, configurei segurança no Java.
Ficou só um problema agora: quando clico no certificado digital do PJE dá a msg: erro sun.security.pkcs11.wrapper.pkcs11exception ckr_device_error
Tentei tudo o que achei em posts aqui no site e em outros mas o problema persiste. Já configurei exceção de segurança no Java para Tjmg.gov.br mas continua...falta pouco nessa odisseia...


10. Re: Certificado Digital Valid no Linux Mint 20

leandro peçanha scardua
leandropscardua

(usa Ubuntu)

Enviado em 21/09/2020 - 13:06h

faça o acesso no site usando o CPF, pois, os certificados TOKENs da OAB é o G&D que no acesso ao Tribunal dá o erro sun.security.pkcs11.wrapper.pkcs11exception ckr_device_error.
Tirei o texto acima do link http://www.formaresaber.com.br/usando-o-shodo-e-pjeoffice-no-centos-8/

Não deve ser a sua configuração, mas talvez essa dica em específico ajude.







Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts